
#ifndef _WBFS_H
#define	_WBFS_H

#ifdef WBFS_DLL
#define dllport extern "C" __declspec(dllexport)
#else // WBFS_DLL
#define dllport extern "C" __declspec(dllimport)
#endif // WBFS_DLL

dllport void __stdcall wbfs_init_output_progress(void (*output_progress)(int, int));
dllport void __stdcall wbfs_init_output_text(void (*output_text)(const char *));
dllport void __stdcall wbfs_applet_list_drive(char* mounted_drive, char* drive_list);
dllport int __stdcall wbfs_applet_list(char* partition, int offset, char* disc_list);
dllport void __stdcall wbfs_applet_info(char* partition, int offset, unsigned long long* used_space, unsigned long long* free_space, unsigned long long* total_space);
dllport void __stdcall wbfs_applet_makehbc(char* partition, int offset);
dllport void __stdcall wbfs_applet_init(char* partition, int offset);
dllport unsigned int __stdcall wbfs_applet_estimate(char* partition, int offset, char* filename);
dllport void __stdcall wbfs_applet_add(char* partition, int offset, char* filename);
dllport void __stdcall wbfs_applet_remove(char* partition, int offset, unsigned char *discID);
dllport void __stdcall wbfs_applet_extract(char* partition, int offset, unsigned char* discID, char* directory, char* filename);
dllport void __stdcall wbfs_applet_copy(char* src_partition, int src_offset, char* dst_partition, int dst_offset, unsigned char* discID);
dllport void __stdcall wbfs_applet_rename(char* partition, int offset, unsigned char* discID, char *newName);

#endif	/* _WBFS_H */